package com.uas.cloud.mall.service.facade;

import com.uas.cloud.mall.service.domain.Module;

import java.util.List;

public interface ContentFacade {

	/**
	 * 读取配置文件中的数据，获取当前URI中所有模块信息的内容信息
	 *
	 * @param path		当前URI路径
	 * @param realPath	静态资源的实际路径
	 */
	List<Module> findModulesByPath(String path, String realPath);
}
