package com.uas.cloud.mall.service.repository;

import com.uas.cloud.mall.service.domain.Content;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ContentRepository extends MongoRepository<Content, String> {

	/**
	 * 根据模块名称查询内容信息列表
	 *
	 * @param moduleName	模板名称
	 */
	List<Content> findByModuleName(String moduleName);
}
