package com.uas.cloud.mall.service.repository;

import com.uas.cloud.mall.service.domain.HotComponent;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by yujia on 2017/3/13.
 */
@Repository
public interface HotComponentRepository extends MongoRepository<HotComponent, String> {

    /**
     * 获取指定界面的指定功能的 热销器件
     * @param useFor 用途
     * @param pageFor 那个界面的使用
     * @return List<HotComponent>
     */
    List<HotComponent> findByUseForAndPageFor(String useFor, String pageFor);
}
