package com.uas.cloud.mall.service.service;

import com.uas.cloud.mall.service.domain.HotComponent;

import java.util.List;

/**
 * Created by yujia on 2017/3/13.
 */
public interface HotComponentService {

    /**
     * 保存hotComponent
     * @param hotComponent
     * @return HotComponent
     */
    public HotComponent save(HotComponent hotComponent);

    /**
     * 批量保存 lsit  hotComponent
     * @param hotComponents
     * @return List<HotComponent>
     */
    public List<HotComponent> save(List<HotComponent> hotComponents);

    /**
     * 删除指定的ID 的hotComponent
     * @param id
     */
    public void delete(String id);

    /**
     * 更新hotComponent
     * @param hotComponent
     */
    public HotComponent update(HotComponent hotComponent);

    /**
     * 获取指定的HotComponent
     * @param id
     * @return
     */
    public HotComponent getHotComponent(String id);

    /**
     * 根据用户的用途，来获取list HotComponent
     * @param useFor
     * @return List<HotComponent>
     */
    public List<HotComponent> getHotComponentForPageAndUseFor(String useFor, String pageFor);
}
