package com.uas.cloud.mall.service.domain;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

/**
 * Created by yujia on 2017/3/13.
 */
@Document(collection = "cms_hotcomponent")
public class HotComponent {

    @Id
    private String id;

    /**
     * 热销的器件名称
     */
    @Field(value = "cms_code")
    private String code;

    /**
     * 器件的图片
     */
    @Field(value = "cms_img")
    private String img;

    /**
     * 序号
     */
    @Field(value = "cms_detno")
    private int detno;

    /**
     * 使用的页面
     */
    @Field(value = "cms_pagefor")
    private String pageFor;

    /**
     * 用途
     */
    @Field(value = "cms_usefor")
    private String useFor;

    public String getId() {
        return id;
    }

    public HotComponent setId(String id) {
        this.id = id;
        return this;
    }

    public String getCode() {
        return code;
    }

    public HotComponent setCode(String code) {
        this.code = code;
        return this;
    }

    public String getImg() {
        return img;
    }

    public HotComponent setImg(String img) {
        this.img = img;
        return this;
    }

    public int getDetno() {
        return detno;
    }

    public HotComponent setDetno(int detno) {
        this.detno = detno;
        return this;
    }

    public String getPageFor() {
        return pageFor;
    }

    public HotComponent setPageFor(String pageFor) {
        this.pageFor = pageFor;
        return this;
    }

    public String getUseFor() {
        return useFor;
    }

    public HotComponent setUseFor(String useFor) {
        this.useFor = useFor;
        return this;
    }

    public enum  UseForType {
        HOT_COMPONENT;
    }
}
